Subject: Re: bug#34019: 26.1; Changing ispell-program-name causes unwanted behavior
From: Eli Zaretskii <[email-masked]>
To: [email-masked] (Philip K.)
Cc: [email-masked]
Date: Sat, 12 Jan 2019 13:28:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: [email-masked] (Philip K.)
> Date: Wed, 09 Jan 2019 01:01:18 +0100
> 
> I've recently updated my Debian installation from stretch (9, stable) to
> buster (10, testing) and I got to install Emacs 26.1 + enchant. But
> sadly the version in the Debian repository is still too old (1.6 vs
> 2.1). But when changing back to aspell, I was informed that aspell was
> too old (0.6 vs 2.1).
> 
> It's easy to reproduce the bug, assuming one's enchant is also too
> old. Simply eval
> 
> 	(setq-default ispell-program-name (executable-find "enchant"))
> 
> try spell-checking any word (which should lead to an error), followed by
> 
> 	(setq-default ispell-program-name (executable-find "aspell"))
> 
> or whatever one was using before. Any spell-checking should still not
> work, and an error will be reported no matter what version of
> aspell/hunspell/ispell one uses.
> 
> Looking through the code I noticed that the issue was simply caused by
> forgetting to reset the variable `ispell-really-enchant`, thus resetting
> it fixes the issue.

Thanks, pushed to the emacs-26 branch, and will appear in Emacs 26.2.

> I hope I haven't messed something up in the process, since this is the
> first time I'm sending a patch. If that's not the case, please tell me
> and I'll be eager to fix any issue (related to this bug).

The commit log message should state the function in which the change
was made.  See the commit I actually made.  Otherwise, the patch was
OK, but for some reason it "git am" didn't apply it; perhaps because
you seem to have customized the number of context lines?